# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`cachefilesd`](#cachefilesd): Manage cachefilesd

## Classes

### <a name="cachefilesd"></a>`cachefilesd`

Manage cachefilesd

#### Examples

##### 

```puppet
include cachefilesd
```

#### Parameters

The following parameters are available in the `cachefilesd` class:

* [`manage_repo`](#manage_repo)
* [`manage_package`](#manage_package)
* [`package_name`](#package_name)
* [`package_ensure`](#package_ensure)
* [`manage_config`](#manage_config)
* [`config_path`](#config_path)
* [`manage_dir`](#manage_dir)
* [`dir`](#dir)
* [`cache_tag`](#cache_tag)
* [`brun`](#brun)
* [`bcull`](#bcull)
* [`bstop`](#bstop)
* [`frun`](#frun)
* [`fcull`](#fcull)
* [`fstop`](#fstop)
* [`secctx`](#secctx)
* [`culltable`](#culltable)
* [`nocull`](#nocull)
* [`resume_thresholds`](#resume_thresholds)
* [`manage_service`](#manage_service)
* [`service_name`](#service_name)
* [`service_ensure`](#service_ensure)
* [`service_enable`](#service_enable)

##### <a name="manage_repo"></a>`manage_repo`

Data type: `Boolean`

Boolean that determines if managing package repo.
Only used by Debian 10 at this time

Default value: ``true``

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`

Boolean that determines if package resource is managed.

Default value: ``true``

##### <a name="package_name"></a>`package_name`

Data type: `String[1]`

Package name for cachefilesd

Default value: `'cachefilesd'`

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String[1]`

Package ensure property

Default value: `'installed'`

##### <a name="manage_config"></a>`manage_config`

Data type: `Boolean`

Boolean that determines if config is managed.

Default value: ``true``

##### <a name="config_path"></a>`config_path`

Data type: `Stdlib::Absolutepath`

Path to cachefilesd.conf

Default value: `'/etc/cachefilesd.conf'`

##### <a name="manage_dir"></a>`manage_dir`

Data type: `Boolean`

Booleans that determines if `dir` resource is managed.

Default value: ``true``

##### <a name="dir"></a>`dir`

Data type: `Stdlib::Absolutepath`

cachefilesd `dir` config option

Default value: `'/var/cache/fscache'`

##### <a name="cache_tag"></a>`cache_tag`

Data type: `Variant[String[1], Boolean]`

cachefilesd `tag` config option

Default value: `'CacheFiles'`

##### <a name="brun"></a>`brun`

Data type: `Integer[0,99]`

cachefilesd `brun` config option

Default value: `10`

##### <a name="bcull"></a>`bcull`

Data type: `Integer[0,99]`

cachefilesd `bcull` config option

Default value: `7`

##### <a name="bstop"></a>`bstop`

Data type: `Integer[0,99]`

cachefilesd `bstop` config option

Default value: `3`

##### <a name="frun"></a>`frun`

Data type: `Integer[0,99]`

cachefilesd `frun` config option

Default value: `10`

##### <a name="fcull"></a>`fcull`

Data type: `Integer[0,99]`

cachefilesd `fcull` config option

Default value: `7`

##### <a name="fstop"></a>`fstop`

Data type: `Integer[0,99]`

cachefilesd `fstop` config option

Default value: `3`

##### <a name="secctx"></a>`secctx`

Data type: `String[1]`

cachefilesd `secctx` config option

Default value: `'system_u:system_r:cachefiles_kernel_t:s0'`

##### <a name="culltable"></a>`culltable`

Data type: `Integer[12,20]`

cachefilesd `culltable` config option

Default value: `12`

##### <a name="nocull"></a>`nocull`

Data type: `Boolean`

cachefilesd `nocull` config option

Default value: ``false``

##### <a name="resume_thresholds"></a>`resume_thresholds`

Data type: `Optional[String[1]]`

cachefilesd `resume_thresholds` config option

Default value: ``undef``

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

Boolean that determines if cachefilesd service is managed.

Default value: ``true``

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

cachefilesd service name

Default value: `'cachefilesd'`

##### <a name="service_ensure"></a>`service_ensure`

Data type: `String[1]`

cachefilesd service ensure property

Default value: `'running'`

##### <a name="service_enable"></a>`service_enable`

Data type: `Variant[Boolean, Enum['UNSET']]`

cachefilesd service enable property

Default value: ``true``

